# This file is a template, and might need editing before it works on your project.
# Official language image. Look for the different tagged releases at:
# https://hub.docker.com/r/library/python/tags/
image: "python:3.7" #commands to run in the Docker container before starting each job.
before_script:
  - python --version
  - pip install -r requirement.txt
  
# different stages in the pipeline
stages:
  - Static Analysis
  - Test

#defines the job in Static Analysis
#-d C0301 disable line too long warning
pylint:
  stage: Static Analysis
  script:
  - pylint -d C0301 -d C0303 -d C0103 -d W0105 -d C0326 -d W0612 -d C0114 -d R1714 -d R0913 -d R0914 *.py

pytest:
  stage: Test
  script:
  - cd test/;pytest -v